<template>
  <div class="flex flex-col items-start">
    <div
      v-if="isShowWalletContainer"
      class="flex flex-col items-start justify-between w-full px-4 py-3 rounded-lg bg-background1"
    >
      <div class="flex items-center gap-1 p-0 mb-2" v-if="!isBSI">
        <span class="text-[20px] leading-[23px] font-bold text-white">
          {{ $t("hi") }}! {{ username }}
        </span>
      </div>
      <div class="w-full flex items-center">
        <div class="p-2 flex flex-row-reverse items-center rounded-8">
          <div class="rounded-1/2 overflow-hidden flex-shrink-0">
            <figure
              class="w-[52px] h-[52px] relative rounded-full overflow-hidden"
            >
              <img
                v-lazy="profileImage"
                class="w-auto h-full lazy loaded"
                alt="WJ18956344 | Dark Theme"
                width="100%"
                height="100%"
                loading="lazy"
                data-ll-status="loaded"
              />
            </figure>
          </div>
        </div>
        <div class="w-full">
          <div
            v-for="(wallet, index) in wallets"
            :key="index"
            class="flex flex-col items-start p-0 gap-1 w-full h-[46px]"
          >
            <span
              class="w-[63px] h-[14px] font-normal text-xs leading-[14px] whitespace-nowrap"
            >
              {{ wallet.getWalletNameForDisplay() }}
            </span>
            <div
              class="flex flex-row justify-between items-end p-0 gap-11 w-full h-[28px]"
            >
              <span class="h-[28px] font-bold text-2xl leading-7">{{
                wallet.getBetCreditForDisplay()
              }}</span>
              <div class="m-account-item">
                <div class="m-account-currency">{{ currency }}</div>
                <icons
                  @click="getBalance"
                  :is-refresh="true"
                  :class="{ 'fa-spin': isLoading }"
                  class="refresh_icon"
                />
              </div>
            </div>
          </div>
        </div>
      </div>
      <div
        class="flex flex-row items-start p-0 gap-2 w-full h-[40px] mt-[16px]"
        v-if="!isBSI && isShowDepositWithdrawal && isCashPlayer"
      >
        <nuxt-link
          :to="isBSI ? '/login' : '/deposit'"
          class="flex flex-row justify-center items-center py-[10px] px-4 gap-1 w-1/2 h-[40px] bg-primary rounded-[20px]"
          :id = "`${ID.USER_CENTER.DEPOSIT}`"
        >
          <div class="h-[20px] w-[20px] pointer-events-none">
            <img
              :src="getAssetImage('assets/theme/new_black_theme/Deposit.png')"
              alt=""
            />
          </div>
          <span
            class="h-[16px] font-bold text-sm leading-4 text-center text-white pointer-events-none"
          >
            {{ $t(`deposit${isBhinbhin}`) }}
          </span>
        </nuxt-link>
        <nuxt-link
          :to="isBSI ? '/login' : '/withdrawal'"
          class="flex flex-row justify-center items-center py-[10px] px-4 gap-1 w-1/2 h-[40px] bg-primary rounded-[20px]"
          :id = "`${ID.USER_CENTER.WITHDRAW}`"
        >
          <div class="h-[20px] w-[20px] pointer-events-none">
            <img
              :src="
                getAssetImage('assets/theme/new_black_theme/withdrawal.png')
              "
              alt=""
            />
          </div>
          <span
            class="h-[16px] font-bold text-sm leading-4 text-center text-white pointer-events-none"
          >
            {{ $t("withdrawal") }}
          </span>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";
import { store } from "@/store";
import useMenu from "@/composables/useMenu";
import { ID } from "~~/utils/constants";

const { getAssetImage, isBhinbhin } = commonHelper;
export default defineComponent({
  name: "AccountInfo",
  setup() {
    const isBSI = computed(() => !store.state.auth);
    const username = computed(() => store.state.username);
    const currency = computed(() => store.state.currency);
    const onNavigateToPage = (url: string) => {
      if (isBSI.value) {
        store.commit("updateLoginDialog", !store.state.showLoginDialog);
      } else {
        window.open(url, "_blank");
      }
    };
    const { isLoading, getBalance, wallets } = useBalanceInfo();
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();

    const profileImage = getAssetImage(
      "assets/theme/black/common/player_icon.png"
    );
    const isShowWalletContainer = computed(
      () => (isBSI.value && isShowDepositWithdrawal.value) || !isBSI.value
    );
    return {
      isBSI,
      username,
      currency,
      getBalance,
      isLoading,
      wallets,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      profileImage,
      isShowWalletContainer,
      isBhinbhin,
    };
  },
});
</script>
<style lang="scss">
.m-username {
  font-size: 16.28px;
  color: var(--textBtn);
}

.m-account-currency {
  @apply text-sm leading-4 font-normal;
  color: var(--text);
}

.m-account-item {
  @apply flex items-center justify-center p-0 gap-1 w-[47px] h-[16px];
}

.m-account-main {
  max-height: 109.44px;
}

.refresh_icon {
  height: 9px;
  width: 12px;
  color: var(--text);
}
</style>
